Package net.snowflake.client.core.structs

## Class SnowflakeObjectTypeFactories

- java.lang.Object
- - net.snowflake.client.core.structs.SnowflakeObjectTypeFactories

    public class SnowflakeObjectTypeFactories
    extends Object

### Constructor Summary

Constructors
`SnowflakeObjectTypeFactories()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Optional<Supplier<SQLData>>` `get​(Class<?> type)`
`static void` `register​(Class<?> type, Supplier<SQLData> factory)`
`static void` `unregister​(Class<?> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnowflakeObjectTypeFactories

    public SnowflakeObjectTypeFactories()

### Method Detail

#### register

    public static void register​(Class<?> type,
                                Supplier<SQLData> factory)

#### unregister

    public static void unregister​(Class<?> type)

#### get

    public static Optional<Supplier<SQLData>> get​(Class<?> type)